<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ContactMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $displayName = null;
    


    protected $vcard = null;
    


    protected $contextInfo = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDisplayName()
    {
        return isset($this->displayName) ? $this->displayName : '';
    }

    public function hasDisplayName()
    {
        return isset($this->displayName);
    }

    public function clearDisplayName()
    {
        unset($this->displayName);
    }

    




    public function setDisplayName($var)
    {
        GPBUtil::checkString($var, True);
        $this->displayName = $var;

        return $this;
    }

    



    public function getVcard()
    {
        return isset($this->vcard) ? $this->vcard : '';
    }

    public function hasVcard()
    {
        return isset($this->vcard);
    }

    public function clearVcard()
    {
        unset($this->vcard);
    }

    




    public function setVcard($var)
    {
        GPBUtil::checkString($var, True);
        $this->vcard = $var;

        return $this;
    }

    



    public function getContextInfo()
    {
        return $this->contextInfo;
    }

    public function hasContextInfo()
    {
        return isset($this->contextInfo);
    }

    public function clearContextInfo()
    {
        unset($this->contextInfo);
    }

    




    public function setContextInfo($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\ContextInfo::class);
        $this->contextInfo = $var;

        return $this;
    }

}

